<template>
  <div id="app">
    <transition name="fade">
      <router-view/>
    </transition>
  </div>
</template>

<script>
export default {
  name: 'App',

  async created() {
    if (!sessionStorage.getItem('token')) await this.$router.push('/login')
  }
}
</script>

<style lang="scss">
@import "src/assets/styles/main";

#app{
  width: 100%;
  height: 100%;
}

.fade-enter{
  opacity: 0;
  transition: .25s;
}

.fade-enter-to {
  opacity: 1; transition: .25s
}

.fade-leave-active{
  opacity: 0;
  display: none;
  transition: none;
}


</style>
